<?php
// $Id$

/**
 * @file
 * LiveChat module for Drupal
 */
class proprofschat
{ 
  /**
   * Singleton pattern
   */
  private static $_instance = NULL;

  /**
   * Module directory
   */
  private $_module_dir = NULL;

  /**
   * Singleton pattern
   */
  public static function get_instance()
 {
    if (is_NULL(self::$_instance))
 {
      self::$_instance = new proprofschat();
    }

    return self::$_instance;
  }

  /**
   * Constructor
   */
  private function __construct()
 {
    $this->_module_dir = drupal_get_path('module', 'proprofschat');

    
  }

  /**
   * Checks if LiveChat button code is installed properly
   */
  public function chatcode_installed()
 {
    //if ($this->is_installed() == FALSE) return FALSE;

    // Check `status` value for `chat-button` block
    $r = db_query('SELECT status FROM {blocks} WHERE module="proprofschat" AND delta="chat-button"');
    $row = db_fetch_array($r);
    if (!isset($row['status']) || $row['status'] != '1') return FALSE;

    return TRUE;
  }

  /**
   * Returns LiveChat button HTML code
   */
  public function getchatcode()
 {

    $path = $this->_module_dir . '/chatcode.txt';
    if (!file_exists($path)) return;

   $chatcode = file_get_contents($path);
    return $chatcode;
  }

}